package com.huimv.getdata.service;

import com.huimv.getdata.entity.kucun.*;
import com.huimv.getdata.entity.voucher.ChanPinShouRu;
import com.huimv.getdata.entity.voucher.ErpVoucher;
import com.huimv.getdata.entity.voucher.JingLiRunQuShi;
import com.huimv.getdata.entity.voucher.LinJinHuanKuanQi;

import java.util.Date;
import java.util.List;

public interface IErpKuCunService {

    List<YuanCaiLiaoKuCun> getYuanCaiLiaoCunLiang(String date);

    List<YangMaoZhiChuKu> getYangMaoZhiKuCun(String date);

    List<YuanCaiLiaoDangRiRuKu> getYuanCaiLiaoDangRi(String date);

    List<ChengPinRuKu> getChengPinDangRi(String date,String type);

    List<ChengPinRuKu> getYangMaoZhiDangRi(String date);

    List<YuanCaiLiaoChuKu> getYuanCaiLiaoChuKu(String date);

    List<ChenPinChuKu> getChengPinChuKu(String date, String type);

    List<YangMaoZhiChuKu> getYangMaoZhiChuKu(String date);

    List<KunCunQuShi> getKunCunQuShi(String date);

    List<YangMaoZhiChuKu> getChuKuShuLiang(String date);

    List<WuLiaoKuMingXi> getWuLiaoMingXi(String date);

    List<YangMaoZhiGongYingShang> getYangMaoZhiGongYingShang(String date);

    List<YangMaoZhiGongYingShang> getYangMaoZhiGongYingShangLeiJi(String date);
}
